Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.hub
Class IframeContainer

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.hub.ManagedObject
          com.tibco.bpm.web.client.model.pagebus.hub.IframeContainer

All Implemented Interfaces:
  Container

    public class IframeContainer

extends ManagedObject
implements Container

Wraps the TIBCO PageBus JavaScript IframeContainer providing a JSNI interface enabling the use of Managed Hub events.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`IframeContainer(java.lang.String clientId, java.lang.String iFrameUri, java.lang.String tunnelUri, ManagedHub managedHub, com.google.gwt.user.client.Element iFrameParent)` Creates an IframeContainer with the given required parameters.
`IframeContainer(java.lang.String clientId, java.lang.String iFrameUri, java.lang.String tunnelUri, ManagedHub managedHub, com.google.gwt.user.client.Element iFrameParent, IframeAttributes iframeAttributes, java.lang.Integer timeout, OnConnectCallback onConnectCallback, OnDisconnectCallback onDisconnectCallback, OnSecurityAlertCallback onSecurityAlertCallback, OnLogCallback onLogCallback, OnSeedCallback onSeedCallback, java.lang.Integer tokenLength)` Creates an IframeContainer with the given optional callbacks.

Method Summary
`java.lang.String` | `getClientId()`
`ManagedHub` | `getManagedHub()`
`java.lang.Object` | `getParameters()`
`java.lang.String` | `getPartnerOrigin()`
`boolean` | `isConnected()`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedObject
`addObject, getManagedObjectForNative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IframeContainer

    public IframeContainer(java.lang.String clientId,
                           java.lang.String iFrameUri,
                           java.lang.String tunnelUri,
                           ManagedHub managedHub,
                           com.google.gwt.user.client.Element iFrameParent)

  Creates an IframeContainer with the given required parameters. Defaults values are used for optional parameters. A default noop callback is used for optional callbacks.

  Parameters:
    `clientId` - Identifies a particular client of a Managed Hub. Unique within the context of the ManagedHub.
    `iFrameUri` - Initial Iframe URI (Container will add parameters to this URI)
    `tunnelUri` - URI of the tunnel iframe. Must be from the same origin as the page which instantiates the IframeContainer.
    `managedHub` - The ManagedHub instance to which this Container belongs.
    `iFrameParent` - DOM Element that is to be parent of iframe.
  Throws:
    `BadParametersException`
    `DuplicateException`
    `DisconnectedException`

### IframeContainer

    public IframeContainer(java.lang.String clientId,
                           java.lang.String iFrameUri,
                           java.lang.String tunnelUri,
                           ManagedHub managedHub,
                           com.google.gwt.user.client.Element iFrameParent,
                           IframeAttributes iframeAttributes,
                           java.lang.Integer timeout,
                           OnConnectCallback onConnectCallback,
                           OnDisconnectCallback onDisconnectCallback,
                           OnSecurityAlertCallback onSecurityAlertCallback,
                           OnLogCallback onLogCallback,
                           OnSeedCallback onSeedCallback,
                           java.lang.Integer tokenLength)

  Creates an IframeContainer with the given optional callbacks. The first five parameters are required, the rest are optional and null may be passed. If null is passed for any callback then a default noop callback is used.

  Parameters:
    `clientId` - Identifies a particular client of a Managed Hub. Unique within the context of the ManagedHub.
    `iFrameUri` - Initial Iframe URI (Container will add parameters to this URI)
    `tunnelUri` - URI of the tunnel iframe. Must be from the same origin as the page which instantiates the IframeContainer.
    `managedHub` - The ManagedHub instance to which this Container belongs.
    `iFrameParent` - DOM Element that is to be parent of iframe.
    `iframeAttributes` - Attributes to add to IFRAME DOM entity.
    `timeout` - Load timeout in milliseconds. If not specified, defaults to 15000. If the client at params.IframeContainer.uri does not establish a connection with this container in the given time, the onSecurityAlert callback is called with a LoadTimeout error code.
    `onConnectCallback` - Called when the client connects to the Managed Hub.
    `onDisconnectCallback` - Called when the client disconnects from the Managed Hub.
    `onSecurityAlertCallback` - Invoked when a security alert is raised.
    `onLogCallback` - Receives build-in logging from the PageBus.
    `onSeedCallback` - Callback to seed pseudo-random number generator. An implementation of IframeContainer may choose to ignore this value.
    `tokenLength` - Length of the security tokens used when transmitting messages. If not specified, defaults to 6. An implementation of IframeContainer may choose to ignore this value.
  Throws:
    `BadParametersException`
    `DuplicateException`
    `DisconnectedException`

Method Detail

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `Container`

### getClientId

    public java.lang.String getClientId()

  Specified by:
    `getClientId` in interface `Container`

### getPartnerOrigin

    public java.lang.String getPartnerOrigin()

  Specified by:
    `getPartnerOrigin` in interface `Container`

### getParameters

    public java.lang.Object getParameters()

  Specified by:
    `getParameters` in interface `Container`

### getManagedHub

    public ManagedHub getManagedHub()

  Specified by:
    `getManagedHub` in interface `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.